> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete a file



## OpenAPI

````yaml DELETE /files/{file_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.8
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /files/{file_id}:
    delete:
      tags:
        - Files
      summary: Delete a file
      description: Delete a file
      operationId: deleteFile
      parameters:
        - name: file_id
          in: path
          required: true
          description: The ID of the file to delete
          schema:
            type: string
      responses:
        '200':
          description: Successful deletion
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDelete'
        '404':
          description: File not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FileDelete:
      type: object
      properties:
        id:
          type: string
          description: ID of the deleted file
        object:
          type: string
          enum:
            - file
          description: Object type, always 'file'
      required:
        - id
        - object
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````